using System.Data.Entity.ModelConfiguration;
using ExampleWebApplication.Entities;

namespace ExampleWebApplication.Infraestruture.EntityFramework.EntityTypeConfigurations
{
    public class EmployeeConfiguration : EntityTypeConfiguration<Employee>
    {
        public EmployeeConfiguration()
        {
            //HasRequired(x => x.ReportsTo).WithOptional(x => x.ReportsTo).Map(m => m.MapKey("CustomerID"));

            Ignore(employee => employee.ReportsTo);
            Ignore(employee => employee.Employees);
            Ignore(employee => employee.EmployeeTerritories);
        }
    }
}