using System.Collections.Generic;
using TelerikMvcGridCustomBindingHelper.Mapper;

namespace ExampleWebApplication.Infraestruture
{
    public class ShipRegionNullAlias : INullAlias
    {
        public bool IsCaseInsensitive { get { return true; } }

        //the query should contain these aliases explicitly?
        public bool SearchExplicit { get { return false; } }

        //Aliases sent by users' searches.
        public IList<object> Aliases()
        {
            return new[] { "none", "empty" };
        }
    }
}