using System.Collections.Generic;
using TelerikMvcGridCustomBindingHelper.Mapper;

namespace ExampleWebApplication.Infraestruture
{
    public class EmployeeRegionNullSubstitute : INullSubstitute
    {
        public bool IsCaseInsensitive { get { return true; } }

        //Aliases that will be treated as null values and will be sent to the database within queries.
        public IList<object> NullValues()
        {
            return new[] { string.Empty, null };
        }
    }
}